/* FONTS AND COLORS
    font-family: 'Playfair Display', serif;
    font-family: 'Josefin Sans', sans-serif;

    black
    gold #e6ac00;
    light grey #e0e0d1;



.movie-detail (detail page - uses h2 and p and img) - divs are class mpaa, stars, and movieInfo
form
button


*/



/*******UNIVERSAL*/
body {
    font-family: 'Josefin Sans', Arial, sans-serif;
    font-size: 20px;
 
}

p {
    color: black;
    font-size: 0.9em;
    font-family: 'Josefin Sans', Arial, sans-serif;
    font-weight: 600;
}

a {
 color: black;
 font-family: 'Playfair Display', Georgia, serif;
}

a:hover {
    text-decoration: none;
    color: #e6ac00;
}

h2 {
    color: black;
}

h3 {
    color: black;
}

/*******HEADER*/
h1 {
    color: black;
    font-family: 'Playfair Display', Georgia, serif;
    font-size: 3em;
    font-weight: bolder;
    text-align: center;
}

header {
    background-color: #e6ac00;
}

/*******FOOTER*/
footer p {
    font-size: .7em;
}

footer a {
    font-size: 1.1em;
    font-weight: bold;
}

footer a:hover {
    text-decoration: none;
    color: white;
}

footer {
    text-align: center;
    background-color: #e6ac00;
    width: 100%;

}


/*******INDEX - MOVIE DISPLAY GRID*/

.intro {
    display:grid;
    grid-template-rows: .1fr .1fr;
    grid-template-columns: 1fr;
    grid-gap: 20px;
    padding: 20px;
    align-content: center;
    background-image: url("images/moviereels.jpg");
    background-repeat: no-repeat;
    background-attachment: scroll;
    background-position: center;
    background-size: 100%;
    border: 3px solid black;
}

.welcome {
    grid-row: 1 / 2;
    font-size: 1.5em;
    display: flex;
    justify-self: center;
    text-align: center;
    
}

.welcome h2 {
    background-color: #e0e0d1;
    padding: 5px;
}

@media only screen and (max-width: 550px) {
    .intro {
        background: white;
        border: 5px dotted black;
    }

    .welcome {
        font-size: 1.2em;
    }
}


.addMovieLink {
    grid-row: 2 / 3;
    display: flex;
    justify-content: center;
    justify-self: center;
    align-items: center;
    text-align: center;
    padding: 15px;
}

.addMovieLink a {
    font-size: 1.5em;
    color: white;
    text-decoration: none;
    font-weight: bolder;
    background-color: black;
}

.addMovieLink a:hover {
    font-size: 1.9em;
    text-decoration: underline dotted white;
    font-weight: bolder;
}

.movies {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-gap: 20px;
    align-items: stretch;
    padding: 10px;
}

.movie-list {
    padding: 5px;
    background-color:#e0e0d1;
    text-align: center;
}

.movie-list img {
    max-width: 100px;
}


/*******ITEM DETAIL PAGE*/

span{
    text-decoration: underline;
}

.movie-detail {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: .1fr .5fr .5fr .2fr;
    padding: 10px;
    gap: 10px;
}

@media only screen and (max-width: 600px) {
    .movie-detail {
        display: block;
    }

    .movie-detail h2{
        text-align: center;
    }
}

.mpaa img, .stars img {
    max-width: 75%;
    min-width: 100px;
}

.movie-detail h2 {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
    justify-self: center;
    font-size: 2.4em;
    text-shadow: 2px 2px #e6ac00;
    text-align: center;
}

.movie-detail p {
    font-size: 1.25em;
}

.movie-detail a {
    font-size: 1.25em;
    font-weight: bold;
}

.mpaa {
    grid-column: 2 /3;
    grid-row: 2 / 3;
    justify-self: center;
    text-align: center;
    padding: 5px;
}

.stars {
    grid-column: 2 /3;
    grid-row: 3 / 4;
    justify-self: center;
    text-align: center;
    padding: 5px;
}

.movieInfo {
    grid-column: 1 / 2;
    grid-row: 2 / 4;
    text-align: center;
    padding: 5px;
}

.review {
    grid-column: 1 / 3;
    grid-row: 4 / 5;
    justify-self: center;
    text-align: center;
    padding: 5px;
}


/*******ADD ITEM FORM*/

.formIntro {
    text-align: center;
}


form {
    font-size: 1.2em;
    text-align: center;
    background-image: url("images/moviereels.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: 200%;
    display: grid;
    grid-template-columns: auto .6fr auto;
}

@media only screen and (max-width: 600px) {
    form {
        background-size: auto;
        grid-template-columns: auto .8fr auto;
    }
}


.formFields {
    grid-column: 2 / 3;
    background-color: #e0e0d1;
    padding: 10px;
}

label {
    display: block;
}


input {
    font-size: .7em;
    max-width: 400px;
    min-width: 150px;
    width: 50%;
    padding: 10px;
    margin-bottom: 25px;
}

input:focus {
    border: 3px solid black;
    background-color: #e0e0d1;
}

input[type=number] {
    width: 25%;
    max-width: 150px;
}

input[type=date] {
    width: 25%;
    max-width: 200px;
}

textarea {
    width:50%;
    max-width: 600px;
    min-width: 150px;
    padding: 5px;
    font-size: .7em;
    margin-bottom: 25px;
}

textarea:focus {
    background-color: #e0e0d1;
}

select {
    font-size: .7em;
    max-width: 100px;
    width: 50%;
    padding: 10px;
    margin: 10px;
    margin-bottom: 25px;
}

select:focus {
    background-color: #e0e0d1;
}

button {
    margin-bottom: 25px;
    background-color: black;
    color: white;
    font-size: .9em;
    font-weight: bold;
    font-family: 'Josefin Sans', sans-serif;
    text-align: center;
    padding: 5px;
    border-radius: 4px;
}

button:hover {
    color: #e6ac00;
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.34);
}

form a {
    font-size: .7em;
}

.success {
    font-size: 1.5em;
}